Classes | Namespaces | Functions
SuperPaintParser.cxx File Reference
`#include <cmath>`
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <sstream>`
`#include <librevenge/librevenge.h>`
`#include "MWAWGraphicListener.hxx"`
`#include "MWAWGraphicShape.hxx"`
`#include "MWAWGraphicStyle.hxx"`
`#include "MWAWHeader.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWPictBitmap.hxx"`
`#include "MWAWPictData.hxx"`
`#include "MWAWPrinter.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWSubDocument.hxx"`
`#include "SuperPaintParser.hxx"`

## Classes
struct | SuperPaintParserInternal::Shape
| Internal: the shape of a SuperPaintParser. More...
struct | SuperPaintParserInternal::State
| Internal: the state of a SuperPaintParser. More...
class | SuperPaintParserInternal::SubDocument
| Internal: the subdocument of a SuperPaintParser. More...

## Namespaces
| SuperPaintParserInternal
| Internal: the structures of a SuperPaintParser.

## Functions
std::ostream & | SuperPaintParserInternal::operator<< (std::ostream &o, Shape const &shape)